Subject: Re: bug#60982: 28.2; Behavior of read-file-name-default / read-file-internal

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jan 2023 10:56:12 +0200

> Date: Sat, 21 Jan 2023 07:43:51 +0100 (CET)
> From: Frederic Santos <[email-masked]>
> 
> Not sure if that is a bug or not, but I noticed a strange behavior of find-file in some specific situations with Emacs 28.2. Say that I have three files in a given directory:
> 
> .
> ├── landmarks2.tps
> ├── landmarks.tps
> └── script.R
> 
> 1. Open Emacs with emacs -q in this directory.
> 2. Doing C-x C-f TAB proposes only one candidate, script.R, when I obviously expected three candidates. (Then, if you start typing 'l' in the minibuffer, you indeed get landmarks.tps and landmarks2.tps as candidates, but I'm not sure why they are not proposed initially.)

The .tps extension is in completion-ignored-extensions (because TeX
produces .tps files when it typesets a document).  If you have
non-trivial files with that extension, customize the variable to
remove ".tps" from the list.

This is not a bug.